%define anolis_release 1

%global srcname pytest-asyncio
%global _description %{expand:
pytest-asyncio is an Apache2 licensed library, written in Python, for testing
asyncio code with pytest.

asyncio code is usually written in the form of coroutines, which makes it
slightly more difficult to test using normal testing tools. pytest-asyncio
provides useful fixtures and markers to make testing easier.}

Name:           python-%{srcname}
Version:        0.20.3
Release:        %{anolis_release}%{?dist}
Summary:        Pytest support for asyncio
License:        ASL 2.0
URL:            https://github.com/pytest-dev/pytest-asyncio
Source:         %pypi_source
BuildArch:      noarch
BuildRequires:  python3-devel

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%package -n     python3-%{srcname}-doc
Summary:        %{name} documentation

%description -n python3-%{srcname}-doc
Documentation for %{name}.


%prep
%autosetup -n %{srcname}-%{version}

# disable code quality checks in "testing" extras
sed -e '/coverage >=/d' \
    -e '/mypy >=/d' \
    -i setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_asyncio

%check
%global __pytest %{python3} -m pytest
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python3-%{srcname}-doc
%doc README.rst CHANGELOG.rst

%changelog
* Fri Apr 21 2023 Funda Wang <fundawang@yeah.net> - 0.20.3-1
- Import package for anolis 23
